#!/bin/sh

BACKUP_DATE="$(date '+%Y%m%d%H%M%S')"
BACKUP_LOG="/var/log/backup_pgsql.log"

LOCAL_DIR_TO_BACKUP="/var/lib/autopostgresqlbackup"
LOCAL_PRIVKEY="/root/.ssh/id_backup_pgsql"

SERVER_BACKUP_DIR="{{ pgsql_server_backup_dir }}"
SERVER_BACKUP_HOST="{{ pgsql_server_backup_host }}"
SERVER_BACKUP_USER="{{ pgsql_server_backup_user }}"

echo "-----> Backup date $BACKUP_DATE" >> "$BACKUP_LOG"
rsync -avz -e "ssh -i $LOCAL_PRIVKEY" "$LOCAL_DIR_TO_BACKUP" "$SERVER_BACKUP_USER@$SERVER_BACKUP_HOST:$SERVER_BACKUP_DIR" >> "$BACKUP_LOG"
